body {
    font-family: Arial, sans-serif;
    background-color: rgb(255, 250, 250);
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100vh;
    margin: 0;
}

h1 {
    color: black;
}

input[type="text"], input[type="password"], input[type="email"] {
    width: 100%;
    padding: 12px;
    margin: 12px 0;
    border: 1px solid black;
    border-radius: 5px;
    box-sizing: border-box;
}

button {
    width: 100%;
    padding: 12px;
    background-color: #365E32;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
    margin-top: 12px;
    transition: background-color 0.3s ease;
}

button:hover {
    background-color: #093505;
}

p {
    text-align: center;
    color: black;
    margin: 12px 0;
}

p a {
    color: #365E32;
    text-decoration: none;
    transition: color 0.3s ease;
}

p a:hover {
    color: #093505;
    text-decoration: underline;
}


.container {
    margin-top: 100px;
    margin-bottom: 100px;
    background-color: white;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    width: 450px;
    box-sizing: border-box;
}

footer {
    background-color: #365E32;
    color: white;
    padding: 10px 0;
    text-align: center;
}
.footer-container {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;
    padding: 10px 20px;
}
.footer-section {
    flex: 1;
    margin: 10px;
    text-align: left;
}
.footer-logo-description {
    margin-bottom: 10px;
}
.footer-logo {
    width: 150px;
    margin-bottom: 2px;
}
.contact-details, .payment-methods, .quick-links {
    margin-bottom: 10px;
}

.contact-details h3, .payment-methods h3, .quick-links h3 {
    margin-bottom: 5px;
}
.payment-icons {
    display: flex;
    text-align: left;
    align-items: center;
}
.payment-icons img {
    margin: 3px;
    width: 50px;
    height: auto;
    vertical-align: middle;
}
.social-media-icons {
    display: flex;
    align-items: center;
    text-align: left;
}
.social-media-icons img {
    margin: 5px;
    width: 25px;
    height: auto;
}
.connect {
    text-align: left;
}
.footer-links {
    display: flex;
    flex-direction: column;
}
.footer-links a {
    text-decoration: none;
    color: #ece7e7;
    padding: 5px 0;
}
.footer-links a:hover {
    text-decoration: underline;
}
footer.copyright {
    width: 100%; 
    height: 30px; 
    text-align: center; 
    background-color: #f8f8f8; 
    color: #0c0c0c;
}
footer.copyright .footer-text {
    line-height: 30px; 
    margin-top: -5px; 
}

/* Media Queries */
@media (max-width: 1200px) {
    .container {
        width: 80%;
    }
    .navdiv1 {
        height: 60px;
        flex-direction: column;
        padding: 10px 0;
    }
    .signin-button{
        display: none;
    }
    .cart-icon{
        display: none;
    }
    .profile-icon{
        display: none;
    }
}

@media (max-width: 992px) {
    .navdiv1 {
        height: 60px;
        flex-direction: column;
        padding: 10px 0;
    }
    .container {
        width: 90%;
        padding: 20px;
    }

    .nav-links {
        flex-direction: column;
        align-items: center;
    }

    .nav-links li {
        margin: 10px 0;
    }

    .navdiv {
        flex-direction: column;
    }

    .profile-container, .cart-container {
        margin-left: 0;
    }
}

@media (max-width: 700px) {
    .footer-container {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .footer-section {
        margin: 10px 0;
    }
    .footer-logo-description{
        text-align: center;
    }

    .connect{
        text-align: center;
    }
    .contact-details, .payment-methods, .footer-links {
        text-align: center;
    }

    .payment-icons {
        justify-content: center;
    }

    .social-media-icons {
        justify-content: center;
    }
}

